﻿using UnityEngine;
using System.Collections;

public class RadiusWave : MonoBehaviour 
{
    private void Start()
    {
        transform.localScale = new Vector3(0.005f, 0.005f, 0.005f);
    }

    public void StartBeat(float _lerp_time)
    {
        StartCoroutine(RaisingWave(_lerp_time));
    }


    IEnumerator RaisingWave(float _lerp_time)
    {
        float current_time = 0;
        float lerp_time = _lerp_time;

        float scale = 0.005f;
        float start_scale = 0.005f;
        float finish_scale = 0.13f;

        while (true)
        {            
            current_time += Time.deltaTime;
            float t = current_time / lerp_time;

            scale = Mathf.Lerp(start_scale, finish_scale, t);
            transform.localScale = new Vector3(scale, scale, scale);

            if (current_time >= lerp_time)
            {
                transform.localScale = new Vector3(0.005f, 0.005f, 0.005f);
                break;
            }
            yield return null;
        }
    }
}
