﻿using UnityEngine;
using System.Collections;

public class GCameraMovement : MonoBehaviour {

    [SerializeField]
    float angle = 20f;

    [SerializeField]
    float MAX_SPEED_CAM = 1f;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

        Vector2 pos_mouse_percentage;
        pos_mouse_percentage.x = (Input.mousePosition.x / Screen.width) * 2 - 1;
        pos_mouse_percentage.y = (Input.mousePosition.y / Screen.height) * 2 - 1;

        Quaternion rot_horizontal = Quaternion.AngleAxis(pos_mouse_percentage.x * angle, Vector3.up);
        Quaternion rot_vertical = Quaternion.AngleAxis(pos_mouse_percentage.y * angle * -1, transform.right);
        Quaternion final_rotation;
        final_rotation = rot_vertical  * rot_horizontal;
        transform.rotation = Quaternion.RotateTowards(transform.rotation, final_rotation, MAX_SPEED_CAM);

	}
}
