﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GSphereCorrects : MonoBehaviour {

    List<Transform> list_spheres = new List<Transform>();

	// Use this for initialization
	void Start () {

        list_spheres.AddRange(GetComponentsInChildren<Transform>());
        list_spheres.RemoveAt(0);
	}

    public void SetSphereCorrect(int _index)
    {
        SetSphereColor(_index, Color.green);
    }

    public void ResetSpheres()
    {
        for (int i = 0; i < list_spheres.Count; i++)
        {
            SetSphereColor(i, Color.white);
        }
    }

    void SetSphereColor(int _index, Color _color)
    {
        Debug.Log("Change color " + list_spheres[_index].name + " Color " + _color);
        list_spheres[_index].GetComponent<Renderer>().materials[0].SetColor("_Color", _color);
    }
}
