﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GPatientFailsDisplay : MonoBehaviour {

    List<Transform> list_display_patient_failed = new List<Transform>();

	// Use this for initialization
	void Start () {

        list_display_patient_failed.AddRange(GetComponentsInChildren<Transform>());
        list_display_patient_failed.RemoveAt(0);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public void SetSphereCorrect(int _index)
    {
        SetSphereColor(_index, Color.red);
    }

    public void ResetSpheres()
    {
        for (int i = 0; i < list_display_patient_failed.Count; i++)
        {
            SetSphereColor(i, Color.black);
        }
    }

    void SetSphereColor(int _index, Color _color)
    {
        Debug.Log("Change color " + list_display_patient_failed[_index].name + " Color " + _color);
        list_display_patient_failed[_index].GetComponent<Renderer>().materials[0].SetColor("_Color", _color);
    }
}
