﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class GUISustance : MonoBehaviour {

    Image img_module;    

    [SerializeField]
    TYPE_SUSTANCE type_module;
    public TYPE_SUSTANCE TypeModule {
        get { return type_module; }
    }

    Transform trans_parent_number_display;

    void Awake()
    {
        img_module = GetComponentInChildren<Image>();
        for (int i = 0; i < transform.childCount; i++)
        {
            if (transform.GetChild(i).CompareTag("SustanceDisplayParent"))
            {
                trans_parent_number_display = transform.GetChild(i);
            }
        }
    }

    public void Reset()
    {
        for (int i = 0; i < trans_parent_number_display.childCount; i++)
        {
            trans_parent_number_display.GetChild(i).gameObject.SetActive(false);
        }
    }

    public void SetNumber(int _number)
    {
        Reset();
        for (int i = 0; i < _number; i++)
        {
            trans_parent_number_display.GetChild(i).gameObject.SetActive(true);
        }
    }
}
