﻿using UnityEngine;
using System.Collections;

public class GSingleton {

    public GGameLogic GameLogic{ get; set; }
    public GSustanceMixer SustanceMixer { get; set; }
    public GWorldInteraction WorldInteraction { get; set; }
    public GUIMainFade FadeManager { get; set; }

    static GSingleton instance = null;  
    public static GSingleton Instance {
        get
        {
            if (instance == null)
            {
                instance = new GSingleton();
            }
            return instance;
        }
    }

}
