﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System;

public class GBasicObjectToInteract : MonoBehaviour,GIObjectToInteract {

    public bool CanInteract
    {
        get
        {
           return true;
        }
        set
        {         
        }
    }

    [SerializeField]
    bool is_lght_dependant = true;
    public bool IsLightDependant
    {
        get
        {
            return is_lght_dependant;
        }
    }
    // Use this for initialization
    public virtual void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public virtual void InteractLeftClick()
    {
        //Debug.Log("Interact object");
    }

    public virtual void InteractRightClick()
    {
        //Debug.Log("Interact object");
    }

    public virtual void OnOver()
    {
        //Debug.Log("Over");
        //GetComponent<Renderer>().material.color = Color.red;
        List<Material> all_materials = new List<Material>();
        all_materials.AddRange(GetComponent<Renderer>().materials);
        for (int i = 0; i < all_materials.Count; i++)
        {
            all_materials[i].SetFloat("_Over", 1f);
        }
    }

    public virtual void ReleaseOver()
    {
        List<Material> all_materials = new List<Material>();
        all_materials.AddRange(GetComponent<Renderer>().materials);
        for (int i = 0; i < all_materials.Count; i++)
        {
            all_materials[i].SetFloat("_Over", 0f);
        }
    }

    public virtual void Escape()
    {
       
    }
}
