﻿using UnityEngine;
using System.Collections;

public class GMixValidator : GBasicObjectToInteract {

    GSustanceMixer sustance_mixer;

    [SerializeField]
    Animator animator_patient;

    Animator animator_button;

	// Use this for initialization
	public override void Start () {

        sustance_mixer = GSingleton.Instance.SustanceMixer;
        animator_button = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update ()
    {
        if (Input.GetKeyDown(KeyCode.O))
        {
            animator_patient.SetTrigger("Out");
        }

        if (Input.GetKeyDown(KeyCode.Space))
        {
            DebugInjectCorrect();
        }
    }

    void DebugInjectCorrect()
    {
        base.InteractLeftClick();
        GSingleton.Instance.GameLogic.DebugInjectCorrect();
        animator_patient.SetTrigger("Heal");
        animator_button.SetTrigger("Push");
    }

    public override void InteractLeftClick()
    {
        if (sustance_mixer.CanInject())
        {
            base.InteractLeftClick();
            sustance_mixer.InjectMix();
            animator_patient.SetTrigger("Heal");
            animator_button.SetTrigger("Push");
            sustance_mixer.PlayLeverSound();
        }
    }
}
