﻿using UnityEngine;
using System.Collections;

public class GSustanceInteract : GBasicObjectToInteract {
  
    [SerializeField]
    TYPE_SUSTANCE my_type;
    
    GSustanceMixer module_mixer;

    Animator animator_button;

	// Use this for initialization
	public override void Start () {

        module_mixer = GSingleton.Instance.SustanceMixer;
        animator_button = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public override void InteractLeftClick()
    {
        base.InteractLeftClick();
        module_mixer.AddModule(my_type);
        animator_button.SetTrigger("Push");
        module_mixer.PlayButtonSound();
    }
}
