﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class GLogoFades : MonoBehaviour {

    GUIFade fade_logo;
	// Use this for initialization
	void Start () {

        fade_logo = GetComponentInChildren<GUIFade>();
        Invoke("DoFadeAppear", 1f);
	}

    void DoFadeAppear()
    {
        fade_logo.SimpleFadeOut(2f,FadeAppearFinished);
    }

    void FadeAppearFinished()
    {
        Invoke("DoFadeDisappear", 1f);
    }

    void DoFadeDisappear()
    {
        fade_logo.SimpleFadeIn(2f, FadeDisappearFinished);
    }

    void FadeDisappearFinished()
    {
        Invoke("LoadScene", 1f);
    }

    void LoadScene()
    {
        SceneManager.LoadScene(1);
    }
}
