﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GUIMixer : MonoBehaviour {

    Dictionary<TYPE_SUSTANCE, GUISustance> dic_modules_UI = new Dictionary<TYPE_SUSTANCE, GUISustance>();
    // Use this for initialization

    void Start () {

        AddDic();
        
	}

    void AddDic()
    {
        if (dic_modules_UI.Count == 0)
        {
            List<GUISustance> list_all_modules = new List<GUISustance>();
            list_all_modules.AddRange(GetComponentsInChildren<GUISustance>());
            for (int i = 0; i < list_all_modules.Count; i++)
            {
                dic_modules_UI.Add(list_all_modules[i].TypeModule, list_all_modules[i]);
            }
        }
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    public void RefreshModulesUI(ModuleCounter _module_counter)
    {
        if (dic_modules_UI.Count == 0)
        {
            AddDic();
        }

        dic_modules_UI[TYPE_SUSTANCE.ADD_LONGITUDE].SetNumber(_module_counter.add_longitude);
        dic_modules_UI[TYPE_SUSTANCE.SUBSTRACT_LONGITUDE].SetNumber(_module_counter.substract_longitude);
        dic_modules_UI[TYPE_SUSTANCE.ADD_AMPLITUDE].SetNumber(_module_counter.add_amplitude);
        dic_modules_UI[TYPE_SUSTANCE.SUBSTRACT_AMPLITUDE].SetNumber(_module_counter.substract_amplitude);
    }
}
