﻿using UnityEngine;
using System.Collections;

public class GResetButton : GBasicObjectToInteract {

    GSustanceMixer sustance_mixer;

    Animator animator_button;

	// Use this for initialization
	public override void Start () {
        sustance_mixer = GSingleton.Instance.SustanceMixer;
        animator_button = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public override void InteractLeftClick()
    {
        base.InteractLeftClick();
        sustance_mixer.ResetMixer();
        animator_button.SetTrigger("Push");
        sustance_mixer.PlayButtonSound();
    }
}
